{ config, lib, pkgs, ... }:

let cfg = config.sydnix.deertopia.servarr.sabnzbd;
in {
  options.sydnix.deertopia.servarr.sabnzbd = {
    enable = lib.mkEnableOption "SABnzbd (via Nixarr)";
  };

  config = lib.mkIf cfg.enable {
    nixarr.sabnzbd = {
      enable = true;
      # vpn.enable = true;
      openFirewall = true;
      guiPort = 43288;
    };
  };
}
